%define upstream_name    Gtk2-Unique
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl bindings for libunique
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Gtk2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: unique-devel
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Gtk2)
BuildRequires: perl-devel

%description
Gtk2::Unique is a Perl binding for the C library libunique which provides a
way for writing single instance application. If you launch a single
instance application twice, the second instance will either just quit or
will send a message to the running instance.

For more information about libunique see: the
http://live.gnome.org/LibUnique manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-6.mga4
+ Revision: 524630
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.50.0-5.mga4
+ Revision: 431218
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-4.mga3
+ Revision: 367950
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.50.0-3.mga3
+ Revision: 250749
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 0.50.0-2.mga2
+ Revision: 135835
- rebuild

* Tue Jul 05 2011 jquelin <jquelin> 0.50.0-1.mga2
+ Revision: 118805
- imported package perl-Gtk2-Unique


* Tue Jul 05 2011 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
